<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class supports Children in a Room Configuration 
 *
 * @package    Membership Database
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2014 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class Model_Room_Children extends ORM {
	protected $_belongs_to = array(
		'child'=>array(),
	);

	public function filters() {
		return Arr::merge(parent::filters(),array(
			'date_start'=>array(array('strtotime', array(':value'))),
			'date_stop'=>array(array('strtotime', array(':value'))),
		));
	}

	public function rules() {
		$x = parent::rules();

		unset($x['id']);

		return $x;
	}

	protected $_display_filters = array(
		'date_start'=>array(
			array('Site::Date',array(':value')),
		),
		'date_stop'=>array(
			array('Site::Date',array(':value')),
		),
	);

	// @todo: Code A (availble) start/end dates cannot overlap with existing records - put in validation that it cannot be saved.
	public function day($day) {
		return $this->{'d_'.$day};
	}
}
?>
