<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class adds committee support
 *
 * @package    Membership Database
 * @category   Modifications
 * @author     Deon George
 * @copyright  (c) 2014 Deon George
 * @license    http://dev.leenooks.net/license.html
 */
class URL extends lnApp_URL {
	// Our method paths for different functions
	public static $method_directory = array(
		'admin'=>'a',
		'director'=>'d',
		'committee'=>'c',
		'user'=>'u',
	);

	public static function navbar() {
		$result = array();

		foreach (array_reverse(self::$method_directory) as $k=>$v)
			switch ($k) {
				case 'admin': $result[$k] = array('name'=>'Administrator','icon'=>'fa-globe');
					break;

				case 'director': $result[$k] = array('name'=>'Director','icon'=>'fa-th-list');
					break;

				case 'committee': $result[$k] = array('name'=>'Committee','icon'=>'fa-th-list');
					break;

				case 'user': $result[$k] = array('name'=>Auth::instance()->get_user()->name(),'icon'=>'fa-user');
					break;

				default: $result[$k] = array('name'=>$k,'icon'=>'fa-question-sign');
			}

		return $result;
	}
}
?>
